/*===========================================================================*/
/*   (Jas/labels.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jas/labels.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_typez00_bglt;

typedef struct BgL_basicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_basicz00_bglt;

typedef struct BgL_vectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_vectz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_tretz00;
   obj_t BgL_targsz00;
} *BgL_funz00_bglt;

typedef struct BgL_classez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_poolz00;
} *BgL_classez00_bglt;

typedef struct BgL_fieldzd2orzd2methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldzd2orzd2methodz00_bglt;

typedef struct BgL_fieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldz00_bglt;

typedef struct BgL_methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_methodz00_bglt;

typedef struct BgL_attributez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_typez00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_infoz00;
} *BgL_attributez00_bglt;

typedef struct BgL_classfilez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_globalsz00;
   obj_t BgL_poolz00;
   obj_t BgL_poolzd2siza7ez75;
   obj_t BgL_flagsz00;
   obj_t BgL_mez00;
   obj_t BgL_superz00;
   obj_t BgL_interfacesz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_attributesz00;
} *BgL_classfilez00_bglt;


BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjas_labelsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_libz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_classfilez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjas_labelsz00();
static obj_t BGl_resolvezd2definitivezd2labelsz00zzjas_labelsz00(obj_t, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t, obj_t);
extern obj_t BGl_u2z00zzjas_libz00(int);
extern obj_t BGl_u4z00zzjas_libz00(int);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t BGl_absz00zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_paddingz00zzjas_labelsz00(obj_t);
static obj_t BGl_za2opcodezd2siza7eza2z75zzjas_labelsz00 = BUNSPEC;
static obj_t BGl_getzd2targetz72za0zzjas_labelsz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
BGL_EXPORTED_DEF obj_t BGl_resolvezd2labelszd2zzjas_labelsz00 = BUNSPEC;
static obj_t BGl_getzd2targetzd2zzjas_labelsz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzjas_labelsz00();
static obj_t BGl_zc3anonymousza31412ze3z83zzjas_labelsz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjas_labelsz00();
static obj_t BGl_requirezd2initializa7ationz75zzjas_labelsz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_resolvezd2pczd2zzjas_labelsz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjas_labelsz00();
static obj_t BGl_widezd2conditionalszd2zzjas_labelsz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjas_labelsz00();
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_siza7ezd2insz75zzjas_labelsz00(obj_t, obj_t);
static obj_t __cnst[ 5 ] ;


DEFINE_STRING( BGl_string2270z00zzjas_labelsz00, BgL_bgl_string2270za700za7za7jas_labelsza7002301z00, "(0) (0 0) (0 0 0) ok #(1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 2 3 2 3 3 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 3 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 2 0 0 1 1 1 1 1 1 3 3 3 3 3 3 3 5 0 3 2 3 1 1 3 3 1 1 0 4 3 3 5 5 0 0 0 0) ", 436 );
DEFINE_STRING( BGl_string2269z00zzjas_labelsz00, BgL_bgl_string2269za700za7za7jas_labelsza7002302z00, "too far", 7 );
DEFINE_STRING( BGl_string2268z00zzjas_labelsz00, BgL_bgl_string2268za700za7za7jas_labelsza7002303z00, "unknown label", 13 );
DEFINE_STRING( BGl_string2267z00zzjas_labelsz00, BgL_bgl_string2267za700za7za7jas_labelsza7002304z00, "far label in localvar", 21 );
DEFINE_STRING( BGl_string2266z00zzjas_labelsz00, BgL_bgl_string2266za700za7za7jas_labelsza7002305z00, "far label in handler", 20 );
DEFINE_STRING( BGl_string2265z00zzjas_labelsz00, BgL_bgl_string2265za700za7za7jas_labelsza7002306z00, "F", 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2264z00zzjas_labelsz00, BgL_bgl_za7c3anonymousza7a31412za7e3za783za7za7jas_labelsza7002307za7, BGl_zc3anonymousza31412ze3z83zzjas_labelsz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjas_labelsz00(long BgL_checksumz00_938, char * BgL_fromz00_939)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjas_labelsz00))
{ 
BGl_requirezd2initializa7ationz75zzjas_labelsz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjas_labelsz00(); 
BGl_cnstzd2initzd2zzjas_labelsz00(); 
BGl_importedzd2moduleszd2initz00zzjas_labelsz00(); 
BGl_toplevelzd2initzd2zzjas_labelsz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjas_labelsz00()
{ AN_OBJECT;
{ /* ./Jas/labels.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jas_labels"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jas_labels"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jas_labels"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jas_labels"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jas_labels"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjas_labelsz00()
{ AN_OBJECT;
{ /* ./Jas/labels.scm 1 */
{ /* ./Jas/labels.scm 1 */
obj_t BgL_cportz00_903;
BgL_cportz00_903 = 
open_input_string(BGl_string2270z00zzjas_labelsz00); 
{ 
long BgL_iz00_904;
BgL_iz00_904 = ((long)4); 
BgL_loopz00_905:
{ /* ./Jas/labels.scm 1 */
bool_t BgL_test2272z00_906;
BgL_test2272z00_906 = 
(BgL_iz00_904==((long)-1)); 
if(BgL_test2272z00_906)
{ /* ./Jas/labels.scm 1 */
return BUNSPEC;}  else 
{ /* ./Jas/labels.scm 1 */
{ /* ./Jas/labels.scm 1 */
obj_t BgL_arg2274z00_907;
{ /* ./Jas/labels.scm 1 */
obj_t BgL_list2277z00_908;
BgL_list2277z00_908 = 
MAKE_PAIR(BgL_cportz00_903, BNIL); 
BgL_arg2274z00_907 = 
BGl_readz00zz__readerz00(BgL_list2277z00_908); } 
{ /* ./Jas/labels.scm 1 */
int BgL_auxz00_957;
BgL_auxz00_957 = 
(int)(BgL_iz00_904); 
CNST_TABLE_SET(BgL_auxz00_957, BgL_arg2274z00_907); } } 
{ /* ./Jas/labels.scm 1 */
int BgL_auxz00_909;
{ /* ./Jas/labels.scm 1 */
long BgL_auxz00_960;
BgL_auxz00_960 = 
(BgL_iz00_904-((long)1)); 
BgL_auxz00_909 = 
(int)(BgL_auxz00_960); } 
{ 
long BgL_iz00_963;
BgL_iz00_963 = 
(long)(BgL_auxz00_909); 
BgL_iz00_904 = BgL_iz00_963; 
goto BgL_loopz00_905;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjas_labelsz00()
{ AN_OBJECT;
{ /* ./Jas/labels.scm 1 */
BGl_resolvezd2labelszd2zzjas_labelsz00 = BGl_proc2264z00zzjas_labelsz00; 
return ( 
BGl_za2opcodezd2siza7eza2z75zzjas_labelsz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* <anonymous:1412> */
obj_t BGl_zc3anonymousza31412ze3z83zzjas_labelsz00(obj_t BgL_envz00_896, obj_t BgL_classfilez00_897, obj_t BgL_lz00_898)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 8 */
{ 
obj_t BgL_classfilez00_184;obj_t BgL_lz00_185;
BgL_classfilez00_184 = BgL_classfilez00_897; 
BgL_lz00_185 = BgL_lz00_898; 
{ 

BgL_zc3anonymousza31415ze3z83_188:
{ /* ./Jas/labels.scm 10 */
bool_t BgL_test1416z00_189;
{ /* ./Jas/labels.scm 10 */
obj_t BgL_auxz00_966;
BgL_auxz00_966 = 
BGl_widezd2conditionalszd2zzjas_labelsz00(BgL_classfilez00_184, BgL_lz00_185); 
BgL_test1416z00_189 = 
CBOOL(BgL_auxz00_966); } 
if(BgL_test1416z00_189)
{ /* ./Jas/labels.scm 10 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./Jas/labels.scm 10 */
goto BgL_zc3anonymousza31415ze3z83_188;} } 
return 
BGl_resolvezd2definitivezd2labelsz00zzjas_labelsz00(BgL_classfilez00_184, BgL_lz00_185);} } } 
}



/* wide-conditionals */
obj_t BGl_widezd2conditionalszd2zzjas_labelsz00(obj_t BgL_classfilez00_1, obj_t BgL_lz00_2)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 18 */
{ /* ./Jas/labels.scm 19 */
obj_t BgL_envz00_191;
BgL_envz00_191 = 
BGl_resolvezd2pczd2zzjas_labelsz00(BgL_classfilez00_1, BgL_lz00_2); 
{ 
obj_t BgL_lz00_197;long BgL_pcz00_198;obj_t BgL_rz00_199;obj_t BgL_lz00_211;obj_t BgL_insz00_212;long BgL_pcz00_213;obj_t BgL_rz00_214;obj_t BgL_copz00_297;
BgL_lz00_197 = BgL_lz00_2; 
BgL_pcz00_198 = ((long)0); 
BgL_rz00_199 = BTRUE; 
BgL_zc3anonymousza31420ze3z83_200:
{ /* ./Jas/labels.scm 62 */
bool_t BgL_test1421z00_201;
BgL_test1421z00_201 = 
NULLP(BgL_lz00_197); 
if(BgL_test1421z00_201)
{ /* ./Jas/labels.scm 62 */
return BgL_rz00_199;}  else 
{ /* ./Jas/labels.scm 63 */
bool_t BgL_test1422z00_202;
{ /* ./Jas/labels.scm 63 */
obj_t BgL_auxz00_975;
BgL_auxz00_975 = 
CAR(BgL_lz00_197); 
BgL_test1422z00_202 = 
SYMBOLP(BgL_auxz00_975); } 
if(BgL_test1422z00_202)
{ /* ./Jas/labels.scm 63 */
{ /* ./Jas/labels.scm 63 */
obj_t BgL_arg1424z00_203;
BgL_arg1424z00_203 = 
CDR(BgL_lz00_197); 
{ 
obj_t BgL_lz00_980;
BgL_lz00_980 = BgL_arg1424z00_203; 
BgL_lz00_197 = BgL_lz00_980; 
goto BgL_zc3anonymousza31420ze3z83_200;} } }  else 
{ /* ./Jas/labels.scm 63 */
{ /* ./Jas/labels.scm 65 */
obj_t BgL_arg1428z00_204;long BgL_arg1429z00_205;obj_t BgL_arg1430z00_206;
BgL_arg1428z00_204 = 
CDR(BgL_lz00_197); 
{ /* ./Jas/labels.scm 66 */
obj_t BgL_arg1434z00_207;
{ /* ./Jas/labels.scm 66 */
obj_t BgL_arg1437z00_208;
BgL_arg1437z00_208 = 
CAR(BgL_lz00_197); 
BgL_arg1434z00_207 = 
BGl_siza7ezd2insz75zzjas_labelsz00(BgL_arg1437z00_208, 
BINT(BgL_pcz00_198)); } 
{ /* ./Jas/labels.scm 66 */
long BgL_auxz00_985;
BgL_auxz00_985 = 
(long)CINT(BgL_arg1434z00_207); 
BgL_arg1429z00_205 = 
(BgL_pcz00_198+BgL_auxz00_985); } } 
{ /* ./Jas/labels.scm 67 */
obj_t BgL_arg1441z00_209;
BgL_arg1441z00_209 = 
CAR(BgL_lz00_197); 
BgL_lz00_211 = BgL_lz00_197; 
BgL_insz00_212 = BgL_arg1441z00_209; 
BgL_pcz00_213 = BgL_pcz00_198; 
BgL_rz00_214 = BgL_rz00_199; 
{ /* ./Jas/labels.scm 30 */
obj_t BgL_aux1394z00_217;
BgL_aux1394z00_217 = 
CAR(BgL_insz00_212); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1451z00_218;
BgL_test1451z00_218 = 
INTEGERP(BgL_aux1394z00_217); 
if(BgL_test1451z00_218)
{ /* ./Jas/labels.scm 30 */
switch( 
(long)CINT(BgL_aux1394z00_217)) { case ((long)153) : 
case ((long)154) : 
case ((long)155) : 
case ((long)156) : 
case ((long)157) : 
case ((long)158) : 
case ((long)159) : 
case ((long)160) : 
case ((long)161) : 
case ((long)162) : 
case ((long)163) : 
case ((long)164) : 
case ((long)165) : 
case ((long)166) : 
case ((long)198) : 
case ((long)199) : 

{ /* ./Jas/labels.scm 32 */
bool_t BgL_test1452z00_219;
{ /* ./Jas/labels.scm 32 */
obj_t BgL_arg1496z00_235;
{ /* ./Jas/labels.scm 32 */
obj_t BgL_auxz00_992;
BgL_auxz00_992 = 
CDR(BgL_insz00_212); 
BgL_arg1496z00_235 = 
CAR(BgL_auxz00_992); } 
{ /* ./Jas/labels.scm 32 */
long BgL_arg1638z00_627;
{ /* ./Jas/labels.scm 32 */
long BgL_arg1644z00_629;
{ /* ./Jas/labels.scm 32 */
obj_t BgL_arg1648z00_630;
BgL_arg1648z00_630 = 
BGl_getzd2targetz72za0zzjas_labelsz00(BgL_classfilez00_1, BgL_envz00_191, BgL_arg1496z00_235); 
{ /* ./Jas/labels.scm 32 */
long BgL_auxz00_996;
BgL_auxz00_996 = 
(long)CINT(BgL_arg1648z00_630); 
BgL_arg1644z00_629 = 
(BgL_auxz00_996-BgL_pcz00_213); } } 
if(
(BgL_arg1644z00_629<((long)0)))
{ /* ./Jas/labels.scm 32 */
BgL_arg1638z00_627 = 
NEG(BgL_arg1644z00_629); }  else 
{ /* ./Jas/labels.scm 32 */
BgL_arg1638z00_627 = BgL_arg1644z00_629; } } 
BgL_test1452z00_219 = 
(BgL_arg1638z00_627>((long)32752)); } } 
if(BgL_test1452z00_219)
{ /* ./Jas/labels.scm 33 */
obj_t BgL_labz00_220;
BgL_labz00_220 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string2265z00zzjas_labelsz00, BEOA); 
{ /* ./Jas/labels.scm 34 */
obj_t BgL_arg1454z00_221;
{ /* ./Jas/labels.scm 34 */
long BgL_arg1457z00_222;obj_t BgL_arg1458z00_223;
{ /* ./Jas/labels.scm 34 */
obj_t BgL_arg1461z00_224;
BgL_arg1461z00_224 = 
CAR(BgL_insz00_212); 
BgL_copz00_297 = BgL_arg1461z00_224; 
{ /* ./Jas/labels.scm 26 */
bool_t BgL_test1618z00_299;
{ /* ./Jas/labels.scm 26 */
long BgL_auxz00_1007;
BgL_auxz00_1007 = 
(long)CINT(BgL_copz00_297); 
BgL_test1618z00_299 = 
(BgL_auxz00_1007<=((long)166)); } 
if(BgL_test1618z00_299)
{ /* ./Jas/labels.scm 27 */
long BgL_arg1620z00_300;
{ /* ./Jas/labels.scm 27 */
long BgL_arg1624z00_301;
{ /* ./Jas/labels.scm 27 */
long BgL_arg1629z00_304;
{ /* ./Jas/labels.scm 27 */
long BgL_n1z00_728;
BgL_n1z00_728 = 
(long)CINT(BgL_copz00_297); 
BgL_arg1629z00_304 = 
(BgL_n1z00_728%((long)2)); } 
BgL_arg1624z00_301 = 
(((long)2)*BgL_arg1629z00_304); } 
BgL_arg1620z00_300 = 
(BgL_arg1624z00_301-((long)1)); } 
{ /* ./Jas/labels.scm 27 */
long BgL_auxz00_1015;
BgL_auxz00_1015 = 
(long)CINT(BgL_copz00_297); 
BgL_arg1457z00_222 = 
(BgL_auxz00_1015+BgL_arg1620z00_300); } }  else 
{ /* ./Jas/labels.scm 28 */
bool_t BgL_testz00_1018;
{ /* ./Jas/labels.scm 28 */
long BgL_auxz00_1019;
BgL_auxz00_1019 = 
(long)CINT(BgL_copz00_297); 
BgL_testz00_1018 = 
(BgL_auxz00_1019==((long)198)); } 
if(BgL_testz00_1018)
{ /* ./Jas/labels.scm 28 */
BgL_arg1457z00_222 = ((long)199); }  else 
{ /* ./Jas/labels.scm 28 */
BgL_arg1457z00_222 = ((long)198); } } } } 
BgL_arg1458z00_223 = 
MAKE_PAIR(BgL_labz00_220, BNIL); 
{ /* ./Jas/labels.scm 34 */
obj_t BgL_auxz00_1023;
BgL_auxz00_1023 = 
BINT(BgL_arg1457z00_222); 
BgL_arg1454z00_221 = 
MAKE_PAIR(BgL_auxz00_1023, BgL_arg1458z00_223); } } 
SET_CAR(BgL_lz00_211, BgL_arg1454z00_221); } 
{ /* ./Jas/labels.scm 35 */
obj_t BgL_arg1466z00_225;
{ /* ./Jas/labels.scm 35 */
obj_t BgL_arg1470z00_226;obj_t BgL_arg1471z00_227;
{ /* ./Jas/labels.scm 35 */
obj_t BgL_arg1476z00_229;
{ /* ./Jas/labels.scm 35 */
obj_t BgL_arg1480z00_230;
{ /* ./Jas/labels.scm 35 */
obj_t BgL_auxz00_1027;
BgL_auxz00_1027 = 
CDR(BgL_insz00_212); 
BgL_arg1480z00_230 = 
CAR(BgL_auxz00_1027); } 
BgL_arg1476z00_229 = 
MAKE_PAIR(BgL_arg1480z00_230, BNIL); } 
{ /* ./Jas/labels.scm 35 */
obj_t BgL_auxz00_1031;
BgL_auxz00_1031 = 
BINT(((long)200)); 
BgL_arg1470z00_226 = 
MAKE_PAIR(BgL_auxz00_1031, BgL_arg1476z00_229); } } 
{ /* ./Jas/labels.scm 37 */
obj_t BgL_arg1486z00_232;
BgL_arg1486z00_232 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
CDR(BgL_lz00_211), BNIL); 
BgL_arg1471z00_227 = 
MAKE_PAIR(BgL_labz00_220, BgL_arg1486z00_232); } 
BgL_arg1466z00_225 = 
MAKE_PAIR(BgL_arg1470z00_226, BgL_arg1471z00_227); } 
SET_CDR(BgL_lz00_211, BgL_arg1466z00_225); } 
BgL_arg1430z00_206 = BFALSE; }  else 
{ /* ./Jas/labels.scm 32 */
BgL_arg1430z00_206 = BgL_rz00_214; } } break;case ((long)167) : 
case ((long)168) : 

{ /* ./Jas/labels.scm 41 */
bool_t BgL_test1499z00_236;
{ /* ./Jas/labels.scm 41 */
obj_t BgL_arg1518z00_242;
{ /* ./Jas/labels.scm 41 */
obj_t BgL_auxz00_1039;
BgL_auxz00_1039 = 
CDR(BgL_insz00_212); 
BgL_arg1518z00_242 = 
CAR(BgL_auxz00_1039); } 
{ /* ./Jas/labels.scm 41 */
long BgL_arg1638z00_651;
{ /* ./Jas/labels.scm 41 */
long BgL_arg1644z00_653;
{ /* ./Jas/labels.scm 41 */
obj_t BgL_arg1648z00_654;
BgL_arg1648z00_654 = 
BGl_getzd2targetz72za0zzjas_labelsz00(BgL_classfilez00_1, BgL_envz00_191, BgL_arg1518z00_242); 
{ /* ./Jas/labels.scm 41 */
long BgL_auxz00_1043;
BgL_auxz00_1043 = 
(long)CINT(BgL_arg1648z00_654); 
BgL_arg1644z00_653 = 
(BgL_auxz00_1043-BgL_pcz00_213); } } 
if(
(BgL_arg1644z00_653<((long)0)))
{ /* ./Jas/labels.scm 41 */
BgL_arg1638z00_651 = 
NEG(BgL_arg1644z00_653); }  else 
{ /* ./Jas/labels.scm 41 */
BgL_arg1638z00_651 = BgL_arg1644z00_653; } } 
BgL_test1499z00_236 = 
(BgL_arg1638z00_651>((long)32752)); } } 
if(BgL_test1499z00_236)
{ /* ./Jas/labels.scm 41 */
{ /* ./Jas/labels.scm 43 */
long BgL_arg1501z00_237;
{ /* ./Jas/labels.scm 43 */
long BgL_auxz00_1051;
{ /* ./Jas/labels.scm 43 */
long BgL_auxz00_1052;
{ /* ./Jas/labels.scm 43 */
obj_t BgL_auxz00_1053;
BgL_auxz00_1053 = 
CAR(BgL_insz00_212); 
BgL_auxz00_1052 = 
(long)CINT(BgL_auxz00_1053); } 
BgL_auxz00_1051 = 
(BgL_auxz00_1052-((long)167)); } 
BgL_arg1501z00_237 = 
(((long)200)+BgL_auxz00_1051); } 
{ /* ./Jas/labels.scm 43 */
obj_t BgL_objz00_665;
BgL_objz00_665 = 
BINT(BgL_arg1501z00_237); 
SET_CAR(BgL_insz00_212, BgL_objz00_665); } } 
BgL_arg1430z00_206 = BFALSE; }  else 
{ /* ./Jas/labels.scm 41 */
BgL_arg1430z00_206 = BgL_rz00_214; } } break;case ((long)202) : 

{ 
obj_t BgL_begz00_243;obj_t BgL_endz00_244;obj_t BgL_labz00_245;obj_t BgL_typez00_246;
{ /* ./Jas/labels.scm 47 */
obj_t BgL_ezd2102zd2_248;
BgL_ezd2102zd2_248 = 
CDR(BgL_insz00_212); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1521z00_249;
BgL_test1521z00_249 = 
PAIRP(BgL_ezd2102zd2_248); 
if(BgL_test1521z00_249)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_cdrzd2112zd2_250;
BgL_cdrzd2112zd2_250 = 
CDR(BgL_ezd2102zd2_248); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1522z00_251;
BgL_test1522z00_251 = 
PAIRP(BgL_cdrzd2112zd2_250); 
if(BgL_test1522z00_251)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_cdrzd2118zd2_252;
BgL_cdrzd2118zd2_252 = 
CDR(BgL_cdrzd2112zd2_250); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1523z00_253;
BgL_test1523z00_253 = 
PAIRP(BgL_cdrzd2118zd2_252); 
if(BgL_test1523z00_253)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_cdrzd2123zd2_254;
BgL_cdrzd2123zd2_254 = 
CDR(BgL_cdrzd2118zd2_252); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1524z00_255;
BgL_test1524z00_255 = 
PAIRP(BgL_cdrzd2123zd2_254); 
if(BgL_test1524z00_255)
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1525z00_256;
{ /* ./Jas/labels.scm 30 */
obj_t BgL_auxz00_1072;
BgL_auxz00_1072 = 
CDR(BgL_cdrzd2123zd2_254); 
BgL_test1525z00_256 = 
NULLP(BgL_auxz00_1072); } 
if(BgL_test1525z00_256)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_arg1527z00_257;obj_t BgL_arg1528z00_258;obj_t BgL_arg1530z00_259;obj_t BgL_arg1531z00_260;
BgL_arg1527z00_257 = 
CAR(BgL_ezd2102zd2_248); 
BgL_arg1528z00_258 = 
CAR(BgL_cdrzd2112zd2_250); 
BgL_arg1530z00_259 = 
CAR(BgL_cdrzd2118zd2_252); 
BgL_arg1531z00_260 = 
CAR(BgL_cdrzd2123zd2_254); 
BgL_begz00_243 = BgL_arg1527z00_257; 
BgL_endz00_244 = BgL_arg1528z00_258; 
BgL_labz00_245 = BgL_arg1530z00_259; 
BgL_typez00_246 = BgL_arg1531z00_260; 
{ /* ./Jas/labels.scm 49 */
bool_t BgL_test1549z00_262;
{ /* ./Jas/labels.scm 49 */
bool_t BgL_test1551z00_263;
{ /* ./Jas/labels.scm 49 */
obj_t BgL_arg1559z00_266;
BgL_arg1559z00_266 = 
BGl_getzd2targetz72za0zzjas_labelsz00(BgL_classfilez00_1, BgL_envz00_191, BgL_endz00_244); 
{ /* ./Jas/labels.scm 49 */
long BgL_auxz00_1081;
BgL_auxz00_1081 = 
(long)CINT(BgL_arg1559z00_266); 
BgL_test1551z00_263 = 
(BgL_auxz00_1081>=((long)65536)); } } 
if(BgL_test1551z00_263)
{ /* ./Jas/labels.scm 49 */
BgL_test1549z00_262 = ((bool_t)1); }  else 
{ /* ./Jas/labels.scm 50 */
obj_t BgL_arg1554z00_264;
BgL_arg1554z00_264 = 
BGl_getzd2targetz72za0zzjas_labelsz00(BgL_classfilez00_1, BgL_envz00_191, BgL_labz00_245); 
{ /* ./Jas/labels.scm 50 */
long BgL_auxz00_1086;
BgL_auxz00_1086 = 
(long)CINT(BgL_arg1554z00_264); 
BgL_test1549z00_262 = 
(BgL_auxz00_1086>=((long)65536)); } } } 
if(BgL_test1549z00_262)
{ /* ./Jas/labels.scm 49 */
BgL_arg1430z00_206 = 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2266z00zzjas_labelsz00, BgL_insz00_212); }  else 
{ /* ./Jas/labels.scm 49 */
BgL_arg1430z00_206 = BgL_rz00_214; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } } } break;case ((long)205) : 

{ /* ./Jas/labels.scm 54 */
obj_t BgL_ezd2130zd2_274;
BgL_ezd2130zd2_274 = 
CDR(BgL_insz00_212); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1565z00_275;
BgL_test1565z00_275 = 
PAIRP(BgL_ezd2130zd2_274); 
if(BgL_test1565z00_275)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_cdrzd2142zd2_276;
BgL_cdrzd2142zd2_276 = 
CDR(BgL_ezd2130zd2_274); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1566z00_277;
BgL_test1566z00_277 = 
PAIRP(BgL_cdrzd2142zd2_276); 
if(BgL_test1566z00_277)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_cdrzd2149zd2_278;
BgL_cdrzd2149zd2_278 = 
CDR(BgL_cdrzd2142zd2_276); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1567z00_279;
BgL_test1567z00_279 = 
PAIRP(BgL_cdrzd2149zd2_278); 
if(BgL_test1567z00_279)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_cdrzd2155zd2_280;
BgL_cdrzd2155zd2_280 = 
CDR(BgL_cdrzd2149zd2_278); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1568z00_281;
BgL_test1568z00_281 = 
PAIRP(BgL_cdrzd2155zd2_280); 
if(BgL_test1568z00_281)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_cdrzd2160zd2_282;
BgL_cdrzd2160zd2_282 = 
CDR(BgL_cdrzd2155zd2_280); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1569z00_283;
BgL_test1569z00_283 = 
PAIRP(BgL_cdrzd2160zd2_282); 
if(BgL_test1569z00_283)
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1570z00_284;
{ /* ./Jas/labels.scm 30 */
obj_t BgL_auxz00_1107;
BgL_auxz00_1107 = 
CDR(BgL_cdrzd2160zd2_282); 
BgL_test1570z00_284 = 
NULLP(BgL_auxz00_1107); } 
if(BgL_test1570z00_284)
{ /* ./Jas/labels.scm 30 */
obj_t BgL_arg1572z00_285;obj_t BgL_arg1573z00_286;
BgL_arg1572z00_285 = 
CAR(BgL_ezd2130zd2_274); 
BgL_arg1573z00_286 = 
CAR(BgL_cdrzd2142zd2_276); 
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1599z00_706;
{ /* ./Jas/labels.scm 30 */
bool_t BgL_test1601z00_707;
{ /* ./Jas/labels.scm 30 */
obj_t BgL_arg1608z00_708;
BgL_arg1608z00_708 = 
BGl_getzd2targetz72za0zzjas_labelsz00(BgL_classfilez00_1, BgL_envz00_191, BgL_arg1572z00_285); 
{ /* ./Jas/labels.scm 30 */
long BgL_auxz00_1114;
BgL_auxz00_1114 = 
(long)CINT(BgL_arg1608z00_708); 
BgL_test1601z00_707 = 
(BgL_auxz00_1114>=((long)65536)); } } 
if(BgL_test1601z00_707)
{ /* ./Jas/labels.scm 30 */
BgL_test1599z00_706 = ((bool_t)1); }  else 
{ /* ./Jas/labels.scm 30 */
obj_t BgL_arg1603z00_710;
BgL_arg1603z00_710 = 
BGl_getzd2targetz72za0zzjas_labelsz00(BgL_classfilez00_1, BgL_envz00_191, BgL_arg1573z00_286); 
{ /* ./Jas/labels.scm 30 */
long BgL_auxz00_1119;
BgL_auxz00_1119 = 
(long)CINT(BgL_arg1603z00_710); 
BgL_test1599z00_706 = 
(BgL_auxz00_1119>=((long)65536)); } } } 
if(BgL_test1599z00_706)
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string2267z00zzjas_labelsz00, BgL_insz00_212); }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BgL_rz00_214; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BFALSE; } } } break;
default: 
BgL_arg1430z00_206 = BgL_rz00_214; } }  else 
{ /* ./Jas/labels.scm 30 */
BgL_arg1430z00_206 = BgL_rz00_214; } } } } 
{ 
obj_t BgL_rz00_1129;long BgL_pcz00_1128;obj_t BgL_lz00_1127;
BgL_lz00_1127 = BgL_arg1428z00_204; 
BgL_pcz00_1128 = BgL_arg1429z00_205; 
BgL_rz00_1129 = BgL_arg1430z00_206; 
BgL_rz00_199 = BgL_rz00_1129; 
BgL_pcz00_198 = BgL_pcz00_1128; 
BgL_lz00_197 = BgL_lz00_1127; 
goto BgL_zc3anonymousza31420ze3z83_200;} } } } } } } } 
}



/* get-target' */
obj_t BGl_getzd2targetz72za0zzjas_labelsz00(obj_t BgL_classfilez00_902, obj_t BgL_envz00_901, obj_t BgL_labelz00_313)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 22 */
{ /* ./Jas/labels.scm 21 */
obj_t BgL_arg1654z00_315;
{ /* ./Jas/labels.scm 21 */
obj_t BgL__ortest_1392z00_316;
BgL__ortest_1392z00_316 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_labelz00_313, BgL_envz00_901); 
if(
CBOOL(BgL__ortest_1392z00_316))
{ /* ./Jas/labels.scm 21 */
BgL_arg1654z00_315 = BgL__ortest_1392z00_316; }  else 
{ /* ./Jas/labels.scm 21 */
BgL_arg1654z00_315 = 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_902), BGl_string2268z00zzjas_labelsz00, BgL_labelz00_313); } } 
return 
CDR(BgL_arg1654z00_315);} } 
}



/* resolve-definitive-labels */
obj_t BGl_resolvezd2definitivezd2labelsz00zzjas_labelsz00(obj_t BgL_classfilez00_3, obj_t BgL_lz00_4)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 73 */
{ /* ./Jas/labels.scm 74 */
obj_t BgL_envz00_322;
BgL_envz00_322 = 
BGl_resolvezd2pczd2zzjas_labelsz00(BgL_classfilez00_3, BgL_lz00_4); 
{ 
obj_t BgL_lz00_325;obj_t BgL_pcz00_326;obj_t BgL_donez00_327;obj_t BgL_insz00_340;obj_t BgL_pcz00_341;
BgL_lz00_325 = BgL_lz00_4; 
BgL_pcz00_326 = 
BINT(((long)0)); 
BgL_donez00_327 = BNIL; 
BgL_zc3anonymousza31660ze3z83_328:
{ /* ./Jas/labels.scm 117 */
bool_t BgL_test1661z00_329;
BgL_test1661z00_329 = 
NULLP(BgL_lz00_325); 
if(BgL_test1661z00_329)
{ /* ./Jas/labels.scm 117 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_donez00_327);}  else 
{ /* ./Jas/labels.scm 118 */
bool_t BgL_test1663z00_330;
{ /* ./Jas/labels.scm 118 */
obj_t BgL_auxz00_1140;
BgL_auxz00_1140 = 
CAR(BgL_lz00_325); 
BgL_test1663z00_330 = 
SYMBOLP(BgL_auxz00_1140); } 
if(BgL_test1663z00_330)
{ /* ./Jas/labels.scm 118 */
{ /* ./Jas/labels.scm 118 */
obj_t BgL_arg1666z00_331;
BgL_arg1666z00_331 = 
CDR(BgL_lz00_325); 
{ 
obj_t BgL_lz00_1145;
BgL_lz00_1145 = BgL_arg1666z00_331; 
BgL_lz00_325 = BgL_lz00_1145; 
goto BgL_zc3anonymousza31660ze3z83_328;} } }  else 
{ /* ./Jas/labels.scm 118 */
{ /* ./Jas/labels.scm 120 */
obj_t BgL_arg1670z00_332;obj_t BgL_arg1671z00_333;obj_t BgL_arg1673z00_334;
BgL_arg1670z00_332 = 
CDR(BgL_lz00_325); 
{ /* ./Jas/labels.scm 121 */
obj_t BgL_arg1678z00_335;
{ /* ./Jas/labels.scm 121 */
obj_t BgL_arg1681z00_336;
BgL_arg1681z00_336 = 
CAR(BgL_lz00_325); 
BgL_arg1678z00_335 = 
BGl_siza7ezd2insz75zzjas_labelsz00(BgL_arg1681z00_336, BgL_pcz00_326); } 
BgL_arg1671z00_333 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_pcz00_326, BgL_arg1678z00_335); } 
{ /* ./Jas/labels.scm 122 */
obj_t BgL_arg1685z00_337;
{ /* ./Jas/labels.scm 122 */
obj_t BgL_arg1688z00_338;
BgL_arg1688z00_338 = 
CAR(BgL_lz00_325); 
BgL_insz00_340 = BgL_arg1688z00_338; 
BgL_pcz00_341 = BgL_pcz00_326; 
{ 
obj_t BgL_labelz00_471;
{ /* ./Jas/labels.scm 86 */
obj_t BgL_aux1397z00_347;
BgL_aux1397z00_347 = 
CAR(BgL_insz00_340); 
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1697z00_348;
BgL_test1697z00_348 = 
INTEGERP(BgL_aux1397z00_347); 
if(BgL_test1697z00_348)
{ /* ./Jas/labels.scm 86 */
switch( 
(long)CINT(BgL_aux1397z00_347)) { case ((long)153) : 
case ((long)154) : 
case ((long)155) : 
case ((long)156) : 
case ((long)157) : 
case ((long)158) : 
case ((long)159) : 
case ((long)160) : 
case ((long)161) : 
case ((long)162) : 
case ((long)163) : 
case ((long)164) : 
case ((long)165) : 
case ((long)166) : 
case ((long)167) : 
case ((long)168) : 
case ((long)198) : 
case ((long)199) : 

{ /* ./Jas/labels.scm 89 */
obj_t BgL_arg1700z00_350;
{ /* ./Jas/labels.scm 89 */
obj_t BgL_arg1704z00_351;
{ /* ./Jas/labels.scm 89 */
obj_t BgL_auxz00_1154;
BgL_auxz00_1154 = 
CDR(BgL_insz00_340); 
BgL_arg1704z00_351 = 
CAR(BgL_auxz00_1154); } 
BgL_labelz00_471 = BgL_arg1704z00_351; 
{ /* ./Jas/labels.scm 80 */
obj_t BgL_dz00_473;
{ /* ./Jas/labels.scm 80 */
obj_t BgL_arg1987z00_477;
BgL_arg1987z00_477 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_labelz00_471); 
BgL_dz00_473 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_arg1987z00_477, BgL_pcz00_341); } 
{ /* ./Jas/labels.scm 81 */
bool_t BgL_test1977z00_474;
BgL_test1977z00_474 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BGl_absz00zz__r4_numbers_6_5z00(BgL_dz00_473), 
BINT(((long)32752))); 
if(BgL_test1977z00_474)
{ /* ./Jas/labels.scm 81 */
BgL_arg1700z00_350 = 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_3), BGl_string2269z00zzjas_labelsz00, BgL_labelz00_471); }  else 
{ /* ./Jas/labels.scm 81 */
BgL_arg1700z00_350 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_dz00_473)); } } } } 
BgL_arg1685z00_337 = 
MAKE_PAIR(BgL_aux1397z00_347, BgL_arg1700z00_350); } break;case ((long)200) : 
case ((long)201) : 

{ /* ./Jas/labels.scm 91 */
obj_t BgL_arg1710z00_353;
{ /* ./Jas/labels.scm 91 */
obj_t BgL_arg1714z00_354;
{ /* ./Jas/labels.scm 91 */
obj_t BgL_auxz00_1168;
BgL_auxz00_1168 = 
CDR(BgL_insz00_340); 
BgL_arg1714z00_354 = 
CAR(BgL_auxz00_1168); } 
{ /* ./Jas/labels.scm 91 */
obj_t BgL_arg1969z00_766;
{ /* ./Jas/labels.scm 91 */
obj_t BgL_arg1973z00_767;
BgL_arg1973z00_767 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_arg1714z00_354); 
BgL_arg1969z00_766 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_arg1973z00_767, BgL_pcz00_341); } 
BgL_arg1710z00_353 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1969z00_766)); } } 
BgL_arg1685z00_337 = 
MAKE_PAIR(BgL_aux1397z00_347, BgL_arg1710z00_353); } break;case ((long)170) : 

{ /* ./Jas/labels.scm 93 */
obj_t BgL_arg1719z00_356;
{ /* ./Jas/labels.scm 93 */
obj_t BgL_arg1722z00_357;obj_t BgL_arg1723z00_358;
BgL_arg1722z00_357 = 
BGl_paddingz00zzjas_labelsz00(BgL_pcz00_341); 
{ /* ./Jas/labels.scm 93 */
obj_t BgL_arg1727z00_359;obj_t BgL_arg1728z00_360;
{ /* ./Jas/labels.scm 93 */
obj_t BgL_arg1731z00_361;
{ /* ./Jas/labels.scm 93 */
obj_t BgL_auxz00_1177;
BgL_auxz00_1177 = 
CDR(BgL_insz00_340); 
BgL_arg1731z00_361 = 
CAR(BgL_auxz00_1177); } 
{ /* ./Jas/labels.scm 93 */
obj_t BgL_arg1969z00_773;
{ /* ./Jas/labels.scm 93 */
obj_t BgL_arg1973z00_774;
BgL_arg1973z00_774 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_arg1731z00_361); 
BgL_arg1969z00_773 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_arg1973z00_774, BgL_pcz00_341); } 
BgL_arg1727z00_359 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1969z00_773)); } } 
{ /* ./Jas/labels.scm 94 */
obj_t BgL_arg1735z00_362;obj_t BgL_arg1736z00_363;
{ /* ./Jas/labels.scm 94 */
obj_t BgL_arg1741z00_364;
{ /* ./Jas/labels.scm 94 */
obj_t BgL_auxz00_1184;
{ /* ./Jas/labels.scm 94 */
obj_t BgL_auxz00_1185;
BgL_auxz00_1185 = 
CDR(BgL_insz00_340); 
BgL_auxz00_1184 = 
CDR(BgL_auxz00_1185); } 
BgL_arg1741z00_364 = 
CAR(BgL_auxz00_1184); } 
BgL_arg1735z00_362 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1741z00_364)); } 
{ /* ./Jas/labels.scm 95 */
obj_t BgL_arg1748z00_365;obj_t BgL_arg1749z00_366;
{ /* ./Jas/labels.scm 95 */
obj_t BgL_arg1752z00_367;
{ /* ./Jas/labels.scm 95 */
obj_t BgL_auxz00_1191;
{ /* ./Jas/labels.scm 95 */
obj_t BgL_auxz00_1198;obj_t BgL_auxz00_1192;
{ /* ./Jas/labels.scm 95 */
long BgL_auxz00_1199;
{ /* ./Jas/labels.scm 95 */
obj_t BgL_auxz00_1200;
{ /* ./Jas/labels.scm 95 */
obj_t BgL_auxz00_1201;
{ /* ./Jas/labels.scm 95 */
obj_t BgL_auxz00_1202;
BgL_auxz00_1202 = 
CDR(BgL_insz00_340); 
BgL_auxz00_1201 = 
CDR(BgL_auxz00_1202); } 
BgL_auxz00_1200 = 
CDR(BgL_auxz00_1201); } 
BgL_auxz00_1199 = 
bgl_list_length(BgL_auxz00_1200); } 
BgL_auxz00_1198 = 
BINT(BgL_auxz00_1199); } 
{ /* ./Jas/labels.scm 95 */
obj_t BgL_auxz00_1193;
{ /* ./Jas/labels.scm 95 */
obj_t BgL_auxz00_1194;
BgL_auxz00_1194 = 
CDR(BgL_insz00_340); 
BgL_auxz00_1193 = 
CDR(BgL_auxz00_1194); } 
BgL_auxz00_1192 = 
CAR(BgL_auxz00_1193); } 
BgL_auxz00_1191 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_auxz00_1192, BgL_auxz00_1198); } 
BgL_arg1752z00_367 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_auxz00_1191, 
BINT(((long)1))); } 
BgL_arg1748z00_365 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1752z00_367)); } 
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1771z00_373;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_runner1806z00_391;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_l1398z00_375;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_auxz00_1213;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_auxz00_1214;
BgL_auxz00_1214 = 
CDR(BgL_insz00_340); 
BgL_auxz00_1213 = 
CDR(BgL_auxz00_1214); } 
BgL_l1398z00_375 = 
CDR(BgL_auxz00_1213); } 
{ /* ./Jas/labels.scm 96 */
bool_t BgL_test1774z00_376;
BgL_test1774z00_376 = 
NULLP(BgL_l1398z00_375); 
if(BgL_test1774z00_376)
{ /* ./Jas/labels.scm 96 */
BgL_runner1806z00_391 = BNIL; }  else 
{ /* ./Jas/labels.scm 96 */
obj_t BgL_head1400z00_377;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1795z00_388;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1801z00_390;
BgL_arg1801z00_390 = 
CAR(BgL_l1398z00_375); 
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1969z00_802;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1973z00_803;
BgL_arg1973z00_803 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_arg1801z00_390); 
BgL_arg1969z00_802 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_arg1973z00_803, BgL_pcz00_341); } 
BgL_arg1795z00_388 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1969z00_802)); } } 
BgL_head1400z00_377 = 
MAKE_PAIR(BgL_arg1795z00_388, BNIL); } 
{ 
obj_t BgL_l1398z00_378;obj_t BgL_tail1401z00_379;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1776z00_381;
BgL_arg1776z00_381 = 
CDR(BgL_l1398z00_375); 
BgL_l1398z00_378 = BgL_arg1776z00_381; 
BgL_tail1401z00_379 = BgL_head1400z00_377; 
BgL_map1399z00_380:
{ /* ./Jas/labels.scm 96 */
bool_t BgL_test1779z00_382;
BgL_test1779z00_382 = 
NULLP(BgL_l1398z00_378); 
if(BgL_test1779z00_382)
{ /* ./Jas/labels.scm 96 */
BgL_runner1806z00_391 = BgL_head1400z00_377; }  else 
{ /* ./Jas/labels.scm 96 */
obj_t BgL_newtail1402z00_383;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1786z00_385;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1790z00_387;
BgL_arg1790z00_387 = 
CAR(BgL_l1398z00_378); 
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1969z00_810;
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1973z00_811;
BgL_arg1973z00_811 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_arg1790z00_387); 
BgL_arg1969z00_810 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_arg1973z00_811, BgL_pcz00_341); } 
BgL_arg1786z00_385 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1969z00_810)); } } 
BgL_newtail1402z00_383 = 
MAKE_PAIR(BgL_arg1786z00_385, BNIL); } 
SET_CDR(BgL_tail1401z00_379, BgL_newtail1402z00_383); 
{ /* ./Jas/labels.scm 96 */
obj_t BgL_arg1782z00_384;
BgL_arg1782z00_384 = 
CDR(BgL_l1398z00_378); 
{ 
obj_t BgL_tail1401z00_1238;obj_t BgL_l1398z00_1237;
BgL_l1398z00_1237 = BgL_arg1782z00_384; 
BgL_tail1401z00_1238 = BgL_newtail1402z00_383; 
BgL_tail1401z00_379 = BgL_tail1401z00_1238; 
BgL_l1398z00_378 = BgL_l1398z00_1237; 
goto BgL_map1399z00_380;} } } } } } } } } 
BgL_arg1771z00_373 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner1806z00_391); } 
BgL_arg1749z00_366 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1771z00_373, BNIL); } 
BgL_arg1736z00_363 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1748z00_365, BgL_arg1749z00_366); } 
BgL_arg1728z00_360 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1735z00_362, BgL_arg1736z00_363); } 
BgL_arg1723z00_358 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1727z00_359, BgL_arg1728z00_360); } 
BgL_arg1719z00_356 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1722z00_357, BgL_arg1723z00_358); } 
{ /* ./Jas/labels.scm 93 */
obj_t BgL_auxz00_1245;
BgL_auxz00_1245 = 
BINT(((long)170)); 
BgL_arg1685z00_337 = 
MAKE_PAIR(BgL_auxz00_1245, BgL_arg1719z00_356); } } break;case ((long)171) : 

{ /* ./Jas/labels.scm 98 */
obj_t BgL_arg1810z00_393;
{ /* ./Jas/labels.scm 98 */
obj_t BgL_arg1813z00_394;obj_t BgL_arg1815z00_395;
BgL_arg1813z00_394 = 
BGl_paddingz00zzjas_labelsz00(BgL_pcz00_341); 
{ /* ./Jas/labels.scm 98 */
obj_t BgL_arg1821z00_396;obj_t BgL_arg1822z00_397;
{ /* ./Jas/labels.scm 98 */
obj_t BgL_arg1825z00_398;
{ /* ./Jas/labels.scm 98 */
obj_t BgL_auxz00_1249;
BgL_auxz00_1249 = 
CDR(BgL_insz00_340); 
BgL_arg1825z00_398 = 
CAR(BgL_auxz00_1249); } 
{ /* ./Jas/labels.scm 98 */
obj_t BgL_arg1969z00_822;
{ /* ./Jas/labels.scm 98 */
obj_t BgL_arg1973z00_823;
BgL_arg1973z00_823 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_arg1825z00_398); 
BgL_arg1969z00_822 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_arg1973z00_823, BgL_pcz00_341); } 
BgL_arg1821z00_396 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1969z00_822)); } } 
{ /* ./Jas/labels.scm 99 */
obj_t BgL_arg1829z00_399;obj_t BgL_arg1830z00_400;
{ /* ./Jas/labels.scm 99 */
long BgL_arg1833z00_401;
{ /* ./Jas/labels.scm 99 */
obj_t BgL_auxz00_1256;
{ /* ./Jas/labels.scm 99 */
obj_t BgL_auxz00_1257;
BgL_auxz00_1257 = 
CDR(BgL_insz00_340); 
BgL_auxz00_1256 = 
CDR(BgL_auxz00_1257); } 
BgL_arg1833z00_401 = 
bgl_list_length(BgL_auxz00_1256); } 
BgL_arg1829z00_399 = 
BGl_u4z00zzjas_libz00(
(int)(BgL_arg1833z00_401)); } 
{ /* ./Jas/labels.scm 100 */
obj_t BgL_arg1840z00_403;
{ /* ./Jas/labels.scm 100 */
obj_t BgL_runner1877z00_421;
{ /* ./Jas/labels.scm 101 */
obj_t BgL_l1403z00_405;
{ /* ./Jas/labels.scm 104 */
obj_t BgL_auxz00_1263;
BgL_auxz00_1263 = 
CDR(BgL_insz00_340); 
BgL_l1403z00_405 = 
CDR(BgL_auxz00_1263); } 
{ /* ./Jas/labels.scm 101 */
bool_t BgL_test1844z00_406;
BgL_test1844z00_406 = 
NULLP(BgL_l1403z00_405); 
if(BgL_test1844z00_406)
{ /* ./Jas/labels.scm 101 */
BgL_runner1877z00_421 = BNIL; }  else 
{ /* ./Jas/labels.scm 101 */
obj_t BgL_head1405z00_407;
BgL_head1405z00_407 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1403z00_408;obj_t BgL_tail1406z00_409;
BgL_l1403z00_408 = BgL_l1403z00_405; 
BgL_tail1406z00_409 = BgL_head1405z00_407; 
BgL_map1404z00_410:
{ /* ./Jas/labels.scm 101 */
bool_t BgL_test1846z00_411;
BgL_test1846z00_411 = 
NULLP(BgL_l1403z00_408); 
if(BgL_test1846z00_411)
{ /* ./Jas/labels.scm 101 */
BgL_runner1877z00_421 = 
CDR(BgL_head1405z00_407); }  else 
{ /* ./Jas/labels.scm 102 */
obj_t BgL_newtail1407z00_412;
{ /* ./Jas/labels.scm 102 */
obj_t BgL_arg1854z00_414;
{ /* ./Jas/labels.scm 102 */
obj_t BgL_xz00_416;
BgL_xz00_416 = 
CAR(BgL_l1403z00_408); 
{ /* ./Jas/labels.scm 102 */
obj_t BgL_arg1859z00_417;obj_t BgL_arg1862z00_418;
{ /* ./Jas/labels.scm 102 */
obj_t BgL_arg1865z00_419;
BgL_arg1865z00_419 = 
CAR(BgL_xz00_416); 
BgL_arg1859z00_417 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1865z00_419)); } 
{ /* ./Jas/labels.scm 103 */
obj_t BgL_arg1869z00_420;
BgL_arg1869z00_420 = 
CDR(BgL_xz00_416); 
{ /* ./Jas/labels.scm 103 */
obj_t BgL_arg1969z00_841;
{ /* ./Jas/labels.scm 103 */
obj_t BgL_arg1973z00_842;
BgL_arg1973z00_842 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_arg1869z00_420); 
BgL_arg1969z00_841 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_arg1973z00_842, BgL_pcz00_341); } 
BgL_arg1862z00_418 = 
BGl_u4z00zzjas_libz00(
CINT(BgL_arg1969z00_841)); } } 
BgL_arg1854z00_414 = 
bgl_append2(BgL_arg1859z00_417, BgL_arg1862z00_418); } } 
BgL_newtail1407z00_412 = 
MAKE_PAIR(BgL_arg1854z00_414, BNIL); } 
SET_CDR(BgL_tail1406z00_409, BgL_newtail1407z00_412); 
{ /* ./Jas/labels.scm 101 */
obj_t BgL_arg1850z00_413;
BgL_arg1850z00_413 = 
CDR(BgL_l1403z00_408); 
{ 
obj_t BgL_tail1406z00_1286;obj_t BgL_l1403z00_1285;
BgL_l1403z00_1285 = BgL_arg1850z00_413; 
BgL_tail1406z00_1286 = BgL_newtail1407z00_412; 
BgL_tail1406z00_409 = BgL_tail1406z00_1286; 
BgL_l1403z00_408 = BgL_l1403z00_1285; 
goto BgL_map1404z00_410;} } } } } } } } 
BgL_arg1840z00_403 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner1877z00_421); } 
BgL_arg1830z00_400 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1840z00_403, BNIL); } 
BgL_arg1822z00_397 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1829z00_399, BgL_arg1830z00_400); } 
BgL_arg1815z00_395 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1821z00_396, BgL_arg1822z00_397); } 
BgL_arg1810z00_393 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1813z00_394, BgL_arg1815z00_395); } 
{ /* ./Jas/labels.scm 98 */
obj_t BgL_auxz00_1292;
BgL_auxz00_1292 = 
BINT(((long)171)); 
BgL_arg1685z00_337 = 
MAKE_PAIR(BgL_auxz00_1292, BgL_arg1810z00_393); } } break;case ((long)202) : 

{ 
obj_t BgL_begz00_422;obj_t BgL_endz00_423;obj_t BgL_labz00_424;obj_t BgL_typez00_425;
{ /* ./Jas/labels.scm 106 */
obj_t BgL_ezd2167zd2_427;
BgL_ezd2167zd2_427 = 
CDR(BgL_insz00_340); 
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1878z00_428;
BgL_test1878z00_428 = 
PAIRP(BgL_ezd2167zd2_427); 
if(BgL_test1878z00_428)
{ /* ./Jas/labels.scm 86 */
obj_t BgL_cdrzd2177zd2_429;
BgL_cdrzd2177zd2_429 = 
CDR(BgL_ezd2167zd2_427); 
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1879z00_430;
BgL_test1879z00_430 = 
PAIRP(BgL_cdrzd2177zd2_429); 
if(BgL_test1879z00_430)
{ /* ./Jas/labels.scm 86 */
obj_t BgL_cdrzd2183zd2_431;
BgL_cdrzd2183zd2_431 = 
CDR(BgL_cdrzd2177zd2_429); 
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1880z00_432;
BgL_test1880z00_432 = 
PAIRP(BgL_cdrzd2183zd2_431); 
if(BgL_test1880z00_432)
{ /* ./Jas/labels.scm 86 */
obj_t BgL_cdrzd2188zd2_433;
BgL_cdrzd2188zd2_433 = 
CDR(BgL_cdrzd2183zd2_431); 
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1881z00_434;
BgL_test1881z00_434 = 
PAIRP(BgL_cdrzd2188zd2_433); 
if(BgL_test1881z00_434)
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1882z00_435;
{ /* ./Jas/labels.scm 86 */
obj_t BgL_auxz00_1307;
BgL_auxz00_1307 = 
CDR(BgL_cdrzd2188zd2_433); 
BgL_test1882z00_435 = 
NULLP(BgL_auxz00_1307); } 
if(BgL_test1882z00_435)
{ /* ./Jas/labels.scm 86 */
obj_t BgL_arg1884z00_436;obj_t BgL_arg1885z00_437;obj_t BgL_arg1886z00_438;obj_t BgL_arg1887z00_439;
BgL_arg1884z00_436 = 
CAR(BgL_ezd2167zd2_427); 
BgL_arg1885z00_437 = 
CAR(BgL_cdrzd2177zd2_429); 
BgL_arg1886z00_438 = 
CAR(BgL_cdrzd2183zd2_431); 
BgL_arg1887z00_439 = 
CAR(BgL_cdrzd2188zd2_433); 
BgL_begz00_422 = BgL_arg1884z00_436; 
BgL_endz00_423 = BgL_arg1885z00_437; 
BgL_labz00_424 = BgL_arg1886z00_438; 
BgL_typez00_425 = BgL_arg1887z00_439; 
{ /* ./Jas/labels.scm 108 */
obj_t BgL_arg1908z00_442;obj_t BgL_arg1911z00_443;obj_t BgL_arg1915z00_444;
BgL_arg1908z00_442 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_begz00_422); 
BgL_arg1911z00_443 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_endz00_423); 
BgL_arg1915z00_444 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_labz00_424); 
{ /* ./Jas/labels.scm 108 */
obj_t BgL_list1917z00_445;
{ /* ./Jas/labels.scm 108 */
obj_t BgL_arg1919z00_446;
{ /* ./Jas/labels.scm 108 */
obj_t BgL_arg1922z00_447;
{ /* ./Jas/labels.scm 108 */
obj_t BgL_arg1925z00_448;
{ /* ./Jas/labels.scm 108 */
obj_t BgL_arg1928z00_449;
BgL_arg1928z00_449 = 
MAKE_PAIR(BgL_typez00_425, BNIL); 
BgL_arg1925z00_448 = 
MAKE_PAIR(BgL_arg1915z00_444, BgL_arg1928z00_449); } 
BgL_arg1922z00_447 = 
MAKE_PAIR(BgL_arg1911z00_443, BgL_arg1925z00_448); } 
BgL_arg1919z00_446 = 
MAKE_PAIR(BgL_arg1908z00_442, BgL_arg1922z00_447); } 
{ /* ./Jas/labels.scm 108 */
obj_t BgL_auxz00_1322;
BgL_auxz00_1322 = 
BINT(((long)202)); 
BgL_list1917z00_445 = 
MAKE_PAIR(BgL_auxz00_1322, BgL_arg1919z00_446); } } 
BgL_arg1685z00_337 = BgL_list1917z00_445; } } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BFALSE; } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BFALSE; } } } } break;case ((long)205) : 

{ 
obj_t BgL_begz00_450;obj_t BgL_endz00_451;obj_t BgL_restz00_452;
{ /* ./Jas/labels.scm 111 */
obj_t BgL_ezd2195zd2_454;
BgL_ezd2195zd2_454 = 
CDR(BgL_insz00_340); 
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1934z00_455;
BgL_test1934z00_455 = 
PAIRP(BgL_ezd2195zd2_454); 
if(BgL_test1934z00_455)
{ /* ./Jas/labels.scm 86 */
obj_t BgL_cdrzd2203zd2_456;
BgL_cdrzd2203zd2_456 = 
CDR(BgL_ezd2195zd2_454); 
{ /* ./Jas/labels.scm 86 */
bool_t BgL_test1935z00_457;
BgL_test1935z00_457 = 
PAIRP(BgL_cdrzd2203zd2_456); 
if(BgL_test1935z00_457)
{ /* ./Jas/labels.scm 86 */
obj_t BgL_arg1938z00_458;obj_t BgL_arg1939z00_459;obj_t BgL_arg1941z00_460;
BgL_arg1938z00_458 = 
CAR(BgL_ezd2195zd2_454); 
BgL_arg1939z00_459 = 
CAR(BgL_cdrzd2203zd2_456); 
BgL_arg1941z00_460 = 
CDR(BgL_cdrzd2203zd2_456); 
BgL_begz00_450 = BgL_arg1938z00_458; 
BgL_endz00_451 = BgL_arg1939z00_459; 
BgL_restz00_452 = BgL_arg1941z00_460; 
{ /* ./Jas/labels.scm 113 */
obj_t BgL_bz00_461;obj_t BgL_ez00_462;
BgL_bz00_461 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_begz00_450); 
BgL_ez00_462 = 
BGl_getzd2targetzd2zzjas_labelsz00(BgL_classfilez00_3, BgL_envz00_322, BgL_endz00_451); 
{ /* ./Jas/labels.scm 114 */
obj_t BgL_arg1952z00_464;
{ /* ./Jas/labels.scm 114 */
obj_t BgL_arg1955z00_465;
{ /* ./Jas/labels.scm 114 */
long BgL_arg1958z00_466;
{ /* ./Jas/labels.scm 114 */
long BgL_auxz00_1338;long BgL_auxz00_1336;
BgL_auxz00_1338 = 
(long)CINT(BgL_bz00_461); 
BgL_auxz00_1336 = 
(long)CINT(BgL_ez00_462); 
BgL_arg1958z00_466 = 
(BgL_auxz00_1336-BgL_auxz00_1338); } 
{ /* ./Jas/labels.scm 114 */
obj_t BgL_auxz00_1341;
BgL_auxz00_1341 = 
BINT(BgL_arg1958z00_466); 
BgL_arg1955z00_465 = 
MAKE_PAIR(BgL_auxz00_1341, BgL_restz00_452); } } 
BgL_arg1952z00_464 = 
MAKE_PAIR(BgL_bz00_461, BgL_arg1955z00_465); } 
{ /* ./Jas/labels.scm 114 */
obj_t BgL_auxz00_1345;
BgL_auxz00_1345 = 
BINT(((long)205)); 
BgL_arg1685z00_337 = 
MAKE_PAIR(BgL_auxz00_1345, BgL_arg1952z00_464); } } } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BFALSE; } } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BFALSE; } } } } break;
default: 
BgL_arg1685z00_337 = BgL_insz00_340; } }  else 
{ /* ./Jas/labels.scm 86 */
BgL_arg1685z00_337 = BgL_insz00_340; } } } } } 
BgL_arg1673z00_334 = 
MAKE_PAIR(BgL_arg1685z00_337, BgL_donez00_327); } 
{ 
obj_t BgL_donez00_1353;obj_t BgL_pcz00_1352;obj_t BgL_lz00_1351;
BgL_lz00_1351 = BgL_arg1670z00_332; 
BgL_pcz00_1352 = BgL_arg1671z00_333; 
BgL_donez00_1353 = BgL_arg1673z00_334; 
BgL_donez00_327 = BgL_donez00_1353; 
BgL_pcz00_326 = BgL_pcz00_1352; 
BgL_lz00_325 = BgL_lz00_1351; 
goto BgL_zc3anonymousza31660ze3z83_328;} } } } } } } } 
}



/* get-target */
obj_t BGl_getzd2targetzd2zzjas_labelsz00(obj_t BgL_classfilez00_900, obj_t BgL_envz00_899, obj_t BgL_labelz00_478)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 78 */
{ /* ./Jas/labels.scm 77 */
obj_t BgL_arg1993z00_480;
{ /* ./Jas/labels.scm 77 */
obj_t BgL__ortest_1395z00_481;
BgL__ortest_1395z00_481 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_labelz00_478, BgL_envz00_899); 
if(
CBOOL(BgL__ortest_1395z00_481))
{ /* ./Jas/labels.scm 77 */
BgL_arg1993z00_480 = BgL__ortest_1395z00_481; }  else 
{ /* ./Jas/labels.scm 77 */
BgL_arg1993z00_480 = 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_900), BGl_string2268z00zzjas_labelsz00, BgL_labelz00_478); } } 
return 
CDR(BgL_arg1993z00_480);} } 
}



/* padding */
obj_t BGl_paddingz00zzjas_labelsz00(obj_t BgL_pcz00_5)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 125 */
switch( 
BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_pcz00_5), ((long)4))) { case ((long)0) : 

return 
CNST_TABLE_REF(((long)2));break;case ((long)1) : 

return 
CNST_TABLE_REF(((long)3));break;case ((long)2) : 

return 
CNST_TABLE_REF(((long)4));break;
default: 
return BNIL;} } 
}



/* size-ins */
obj_t BGl_siza7ezd2insz75zzjas_labelsz00(obj_t BgL_insz00_6, obj_t BgL_pcz00_7)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 150 */
{ /* ./Jas/labels.scm 151 */
long BgL_siza7eza7_490;
{ /* ./Jas/labels.scm 151 */
obj_t BgL_arg2059z00_515;
BgL_arg2059z00_515 = 
CAR(BgL_insz00_6); 
{ /* ./Jas/labels.scm 151 */
int BgL_kz00_878;
BgL_kz00_878 = 
CINT(BgL_arg2059z00_515); 
{ /* ./Jas/labels.scm 151 */
obj_t BgL_auxz00_1369;
BgL_auxz00_1369 = 
VECTOR_REF(BGl_za2opcodezd2siza7eza2z75zzjas_labelsz00,BgL_kz00_878); 
BgL_siza7eza7_490 = 
(long)CINT(BgL_auxz00_1369); } } } 
if(
(BgL_siza7eza7_490==((long)0)))
{ /* ./Jas/labels.scm 154 */
obj_t BgL_aux1411z00_493;
BgL_aux1411z00_493 = 
CAR(BgL_insz00_6); 
if(
INTEGERP(BgL_aux1411z00_493))
{ /* ./Jas/labels.scm 154 */
switch( 
(long)CINT(BgL_aux1411z00_493)) { case ((long)170) : 

{ /* ./Jas/labels.scm 155 */
long BgL_auxz00_1377;
{ /* ./Jas/labels.scm 155 */
long BgL_za72za7_929;
{ /* ./Jas/labels.scm 155 */
long BgL_za71za7_926;long BgL_za72za7_927;
BgL_za71za7_926 = 
bgl_list_length(
BGl_paddingz00zzjas_labelsz00(BgL_pcz00_7)); 
{ /* ./Jas/labels.scm 156 */
long BgL_auxz00_1380;
BgL_auxz00_1380 = 
bgl_list_length(BgL_insz00_6); 
BgL_za72za7_927 = 
(((long)4)*BgL_auxz00_1380); } 
BgL_za72za7_929 = 
(BgL_za71za7_926+BgL_za72za7_927); } 
BgL_auxz00_1377 = 
(((long)1)+BgL_za72za7_929); } 
return 
BINT(BgL_auxz00_1377);} break;case ((long)171) : 

{ /* ./Jas/labels.scm 158 */
long BgL_auxz00_1386;
{ /* ./Jas/labels.scm 158 */
long BgL_za72za7_937;
{ /* ./Jas/labels.scm 158 */
long BgL_za71za7_934;long BgL_za72za7_935;
BgL_za71za7_934 = 
bgl_list_length(
BGl_paddingz00zzjas_labelsz00(BgL_pcz00_7)); 
{ /* ./Jas/labels.scm 158 */
long BgL_auxz00_1389;
{ /* ./Jas/labels.scm 159 */
long BgL_auxz00_1390;
{ /* ./Jas/labels.scm 159 */
obj_t BgL_auxz00_1391;
{ /* ./Jas/labels.scm 159 */
obj_t BgL_auxz00_1392;
BgL_auxz00_1392 = 
CDR(BgL_insz00_6); 
BgL_auxz00_1391 = 
CDR(BgL_auxz00_1392); } 
BgL_auxz00_1390 = 
bgl_list_length(BgL_auxz00_1391); } 
BgL_auxz00_1389 = 
(((long)8)*BgL_auxz00_1390); } 
BgL_za72za7_935 = 
(((long)8)+BgL_auxz00_1389); } 
BgL_za72za7_937 = 
(BgL_za71za7_934+BgL_za72za7_935); } 
BgL_auxz00_1386 = 
(((long)1)+BgL_za72za7_937); } 
return 
BINT(BgL_auxz00_1386);} break;case ((long)196) : 

{ /* ./Jas/labels.scm 161 */
bool_t BgL_testz00_1401;
{ /* ./Jas/labels.scm 161 */
obj_t BgL_auxz00_1402;
{ /* ./Jas/labels.scm 161 */
obj_t BgL_auxz00_1403;
BgL_auxz00_1403 = 
CDR(BgL_insz00_6); 
BgL_auxz00_1402 = 
CAR(BgL_auxz00_1403); } 
BgL_testz00_1401 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_auxz00_1402, 
BINT(((long)132))); } 
if(BgL_testz00_1401)
{ /* ./Jas/labels.scm 161 */
return 
BINT(((long)6));}  else 
{ /* ./Jas/labels.scm 161 */
return 
BINT(((long)4));} } break;case ((long)202) : 

return 
BINT(((long)0));break;case ((long)203) : 

return 
BINT(((long)0));break;case ((long)204) : 

return 
BINT(((long)0));break;case ((long)205) : 

return 
BINT(((long)0));break;
default: 
return BUNSPEC;} }  else 
{ /* ./Jas/labels.scm 154 */
return BUNSPEC;} }  else 
{ /* ./Jas/labels.scm 152 */
return 
BINT(BgL_siza7eza7_490);} } } 
}



/* resolve-pc */
obj_t BGl_resolvezd2pczd2zzjas_labelsz00(obj_t BgL_classfilez00_8, obj_t BgL_codez00_9)
{ AN_OBJECT;
{ /* ./Jas/labels.scm 172 */
{ 
obj_t BgL_lz00_517;obj_t BgL_envz00_518;obj_t BgL_pcz00_519;
BgL_lz00_517 = BgL_codez00_9; 
BgL_envz00_518 = BNIL; 
BgL_pcz00_519 = 
BINT(((long)0)); 
BgL_zc3anonymousza32063ze3z83_520:
{ /* ./Jas/labels.scm 174 */
bool_t BgL_test2064z00_521;
BgL_test2064z00_521 = 
NULLP(BgL_lz00_517); 
if(BgL_test2064z00_521)
{ /* ./Jas/labels.scm 174 */
return BgL_envz00_518;}  else 
{ /* ./Jas/labels.scm 176 */
bool_t BgL_test2065z00_522;
{ /* ./Jas/labels.scm 176 */
obj_t BgL_auxz00_1419;
BgL_auxz00_1419 = 
CAR(BgL_lz00_517); 
BgL_test2065z00_522 = 
SYMBOLP(BgL_auxz00_1419); } 
if(BgL_test2065z00_522)
{ /* ./Jas/labels.scm 176 */
{ /* ./Jas/labels.scm 177 */
obj_t BgL_arg2067z00_523;obj_t BgL_arg2068z00_524;
BgL_arg2067z00_523 = 
CDR(BgL_lz00_517); 
{ /* ./Jas/labels.scm 177 */
obj_t BgL_arg2072z00_525;
{ /* ./Jas/labels.scm 177 */
obj_t BgL_arg2075z00_526;
BgL_arg2075z00_526 = 
CAR(BgL_lz00_517); 
BgL_arg2072z00_525 = 
MAKE_PAIR(BgL_arg2075z00_526, BgL_pcz00_519); } 
BgL_arg2068z00_524 = 
MAKE_PAIR(BgL_arg2072z00_525, BgL_envz00_518); } 
{ 
obj_t BgL_envz00_1428;obj_t BgL_lz00_1427;
BgL_lz00_1427 = BgL_arg2067z00_523; 
BgL_envz00_1428 = BgL_arg2068z00_524; 
BgL_envz00_518 = BgL_envz00_1428; 
BgL_lz00_517 = BgL_lz00_1427; 
goto BgL_zc3anonymousza32063ze3z83_520;} } }  else 
{ /* ./Jas/labels.scm 176 */
{ /* ./Jas/labels.scm 179 */
obj_t BgL_arg2080z00_527;obj_t BgL_arg2081z00_528;
BgL_arg2080z00_527 = 
CDR(BgL_lz00_517); 
{ /* ./Jas/labels.scm 179 */
obj_t BgL_arg2085z00_529;
{ /* ./Jas/labels.scm 179 */
obj_t BgL_arg2088z00_530;
BgL_arg2088z00_530 = 
CAR(BgL_lz00_517); 
BgL_arg2085z00_529 = 
BGl_siza7ezd2insz75zzjas_labelsz00(BgL_arg2088z00_530, BgL_pcz00_519); } 
BgL_arg2081z00_528 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_pcz00_519, BgL_arg2085z00_529); } 
{ 
obj_t BgL_pcz00_1434;obj_t BgL_lz00_1433;
BgL_lz00_1433 = BgL_arg2080z00_527; 
BgL_pcz00_1434 = BgL_arg2081z00_528; 
BgL_pcz00_519 = BgL_pcz00_1434; 
BgL_lz00_517 = BgL_lz00_1433; 
goto BgL_zc3anonymousza32063ze3z83_520;} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjas_labelsz00()
{ AN_OBJECT;
{ /* ./Jas/labels.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjas_labelsz00()
{ AN_OBJECT;
{ /* ./Jas/labels.scm 1 */
BGl_modulezd2initializa7ationz75zzjas_libz00(((long)38394), "jas_labels"); 
return 
BGl_modulezd2initializa7ationz75zzjas_classfilez00(((long)21074), "jas_labels");} 
}

